Package org.apache.solr.client.solrj.cloud

## Interface NodeStateProvider

All Superinterfaces:
  `AutoCloseable`, `Closeable`, `SolrCloseable`

All Known Implementing Classes:
  `SolrClientNodeStateProvider`

    public interface NodeStateProvider
    extends SolrCloseable

This interface models the access to node and replica information.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,​Object>` `getNodeValues​(String node, Collection<String> tags)` Get the value of each tag for a given node
`Map<String,​Map<String,​List<Replica>>>` `getReplicaInfo​(String node, Collection<String> keys)` Get the details of each replica in a node.

### Methods inherited from interface java.io.Closeable

`close`

### Methods inherited from interface org.apache.solr.common.SolrCloseable

`isClosed`

### Method Detail

#### getNodeValues

    Map<String,​Object> getNodeValues​(String node,
                                           Collection<String> tags)

Get the value of each tag for a given node

Parameters:
  `node` - node name
  `tags` - tag names
Returns:
  a map of tag vs value

#### getReplicaInfo

    Map<String,​Map<String,​List<Replica>>> getReplicaInfo​(String node,
                                                                     Collection<String> keys)

Get the details of each replica in a node. It attempts to fetch as much details about the replica as mentioned in the keys list. It is not necessary to give all details

The format is {collection:shard :[{replicadetails}]}.

Returns:
  map of replica infos per collection/shard